# Command: cvdict

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    cvdict - Convert argument to a dictionary
      Synopsis:  dict  cvdict -> dict
      array cvdict -> dict

Examples:

      [/a 1 /b 2] cvdict -->  << /a 1 /b 2 >>
      Author:Diesmann

Description:

      In case the argument is labeled as a dictionary used as
      an object in oo-programming, this label is removed. cvdict does not
      clone its argument. This is the inverse function of cvo.
      In case the argument is an array the resulting new dictionary contains
      the key value pairs .

Parameters:

     	- a dictionary which may be labeled for oo-programming
     	- a flat array of even length containing key value pairs

FirstVersion:

    2008-08-23

SeeAlso:

- cvo
- clonedict

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/oosupport.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative